#
# spec file for package bhoogle
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bhoogle
Version:        0.1.2.7
Release:        2.3
Summary:        Simple terminal GUI for local hoogle
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-brick-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hoogle-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-protolude-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-vty-devel

%description
Bhoogle is a terminal GUI layer over local hoogle. It provides search ahead and
sub-string filtering in addition to the usual type-search.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Update bhoogle to version 0.1.2.7.
  A detailed changelog is not available from upstream.
* Mon Apr  9 2018 psimons@suse.com
- Update bhoogle to version 0.1.2.6.
  A more detailed change log is not available.
* Wed Mar 14 2018 psimons@suse.com
- Update bhoogle to version 0.1.2.5.
  A more detailed change log is not available.
